Holger's Java API

## com.antelmann.math
Interface Measurable

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  Measurable.Adapter, Measure, Money

    public interface Measurable

extends Serializable

represents a measure of some sort, combining a number with a unit. This class is related to JSR 275.

Since:
  04.06.2009, 15:19:36
Author:
  Holger Antelmann
See Also:
  `Unit`

Nested Class Summary
`static class` `Measurable.Adapter`

Method Summary
`Number` `getAmount()` represents the quantity of this measurable entity
`Unit` `getUnit()` represents the unit type of this measurable entity

Method Detail

### getUnit

    Unit getUnit()

  represents the unit type of this measurable entity

### getAmount

    Number getAmount()

  represents the quantity of this measurable entity

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads